CVE-2018-10689

NameCVE-2018-10689
Descriptionblktrace (aka Block IO Tracing) 1.2.0, as used with the Linux kernel and Android, has a buffer overflow in the dev_map_read function in btt/devmap.c because the device and devno arrays are too small, as demonstrated by an invalid free when using the btt program with a crafted file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs897695

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
blktrace (PTS)jessie1.0.5-1+deb8u1fixed
stretch1.1.0-2+deb9u1fixed
buster, sid1.2.0-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
blktracesource(unstable)1.2.0-1low897695
blktracesourcejessie1.0.5-1+deb8u1medium
blktracesourcestretch1.1.0-2+deb9u1medium

Notes

[wheezy] - blktrace <no-dsa> (Minor issue)
https://git.kernel.org/pub/scm/linux/kernel/git/axboe/blktrace.git/commit/?id=d61ff409cb4dda31386373d706ea0cfb1aaac5b7
https://www.spinics.net/lists/linux-btrace/msg00847.html

Search for package or bug name: Reporting problems